package com.patzn.lims.equip.mapper;

import com.patzn.lims.equip.entity.LmsEquipRepairDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.patzn.lims.equip.vo.LmsEquipRepairDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 仪器维修详情信息表 Mapper 接口
 * </p>
 *
 * @author wwd
 * @since 2020-03-30
 */
public interface LmsEquipRepairDetailMapper extends BaseMapper<LmsEquipRepairDetail> {

    List<LmsEquipRepairDetailVO> selectPageVO(@Param("ew") LmsEquipRepairDetailVO lmsEquipRepairDetailVO);

    List<LmsEquipRepairDetail>selectBreakdown(@Param("value")String value);

    List<LmsEquipRepairDetail>selectRepairerNames(@Param("value")String value);

    List<LmsEquipRepairDetail>selectRemark(@Param("value")String value);

    LmsEquipRepairDetailVO selectVOById(@Param("id") Long id);
}
